/*
 * Copyright 2014 frankmuenster.de
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * http://ec.europa.eu/idabc/eupl
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 */

package de.frankmuenster.jameica.depot.gui.action;

import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.util.ApplicationException;

/**
 * ffent die Aktienhauptansicht
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class ViewAktienKontoAction implements Action {

	/**
	 * Standart Konstruktor
	 */
	public ViewAktienKontoAction() {
		// absichtlich leer
	}

	/**
	 * ffnet die Aktiehauptansicht.
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException {

		GUI.startView(de.frankmuenster.jameica.depot.gui.views.DepotView.class,
				null);
	}
}
